AlembicRiProcedural usage:

-filename /path/to/some/archive.abc

This is the only required argument. It has no default value.

-frame 42

The frame number to load from within the archive. The default value is 0. This is combined with -fps to map to Alembic time units (double-precision seconds).

-fps 24

Combined with -frame above. The default value is 24

-shutteropen 0.0
-shutterclose 0.5

These are frame-relative values which specify the shutter window. The procedural will include all samples present in the archive which are relevant to the shutter window. The default value of both is 0.0 (no motion blur).

-objectpath /assetroot/characters

If specified, only objects at or below the provided path (within the archive) will be emitted. When combined with -excludexform, this can also be used to load individual leaf locations within an externally defined hierarchy. If the path points to a single "faceset" object directly beneath a subdivision mesh, it'll add "hole" tags for faces not contained within the "faceset."

-excludexform

If specified, no transformation statements will be written and AttributeBegin blocks and identifiers will only be created around geometric primitives. The default behavior is to write all transformations and include AttributeBegin blocks around each level of the hierarchy.

-flipv

Like many systems (Maya included), AbcGeom's default interpretation of texture coordinates is of a bottom-left corner origin. RenderMan's texture lookups assume a top-left corner origin by default. If your shaders are not already compensating for this, enabling -flipv applies (1-v) to texture coordinates of polymesh and subdmesh primitives.

-resource nameOrPath resourceName

For each occurance of this flag, resourceName is added to an internal map using nameOrPath as a key. When traversing the scene, the full path and base name of each object (in that order) are looked up from this map. If it contains a value, it will emit an RiResource call to "restore" the resource block of that name with the expectation that a resource block of that name has been declared externally. Also, unless an -objectpath flag is pointing directly at a FaceSet object beneath a SubD, this test will be done for each FaceSet. Any matches at the FaceSet level will be added as "faceedit" tags to the resulting RiHierarchicalSubdivisionMesh call. This is useful for associating shading information with individual shapes and faces.

-argsfile /path/to/some/file

This allows arguments to be stored and shared in external files. The files are parsed once and cached so that they may be shared between invocations of the procedural. They are applied in the same order and manner as if the contents of the file appeared in place of the -argsfile flag. This is mostly useful for defining and sharing large blocks of -resource flags without redundant parsing or copying of the parsed results.




